%define module  Tie-IxHash
%define version 1.21
%define release 7mdk
%define	pdir	Tie


Summary: 	%{module} module for perl
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License: 	GPL or Artistic
Group: 		Development/Perl
Source0: 	ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{pdir}/%{module}-%{version}.tar.gz
Url:            http://search.cpan.org/search?dist=%{module}
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires: 	perl
BuildRequires:	perl-devel

%description
%{module} module for perl.  This Perl module implements ordered
in-memory associative arrays.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(444,root,root,755)
%doc Changes README
%{_mandir}/*/*
%{perl_vendorlib}/Tie/IxHash.pm

%changelog
* Thu Sep 23 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.21-7mdk
- rebuild

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.21-6mdk
- don't use PREFIX
- use %%makeinstall_std macro

* Tue Aug 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.21-5mdk
- rebuild

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.21-4mdk
- rebuild for new auto{prov,req}

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.21-3mdk
- rebuild

* Thu Jul 11 2002 Pixel <pixel@mandrakesoft.com> 1.21-2mdk
- rebuild for perl 5.8.0

* Mon Jun 10 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.21-1mdk
- from Peter Chen <petechen@netilla.com> :
	- 1.21
